curl --request GET \
--url https://testapi.kravata.co/api/ramps/{clientId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://testapi.kravata.co/api/ramps/{clientId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://testapi.kravata.co/api/ramps/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Get Ramps
This endpoint retrieves the order history for the given client ID.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | The access token is used to authenticate requests to other endpoints. It is valid for 5 minutes. |
| clientID | URL | Yes | Include your assigned ID in the URL, obtainable through the Get infoClient endpoint. |
Use the following optional query parameters to customize the results:
-
DateMin: Specifies the starting date for filtering results. Format: YYYY-MM-DD.
-
DateMax: Defines the ending date for filtering results. Format: YYYY-MM-DD.
-
Status: Filters results by order status, such as ‘pending’, ‘cancelled’, or ‘payapproved’.
-
Page: Specifies the page number (required if the “PerPage” parameter is used)
-
PerPage: Specifies the number of records per page (required if the “Page” parameter is used)
Response
Upon a successful request, the server will respond with the following details:
| Field | Description |
|---|---|
| Id | The unique identifier of the ramp. |
| amountSent | This is the amount you sent to us. |
| amountReceive | This is the resulting amount of your operation. |
| bankAccountId | This is the unique identifier of the bank account you want to use for your order. |
| walletId | This is the unique identifier of the wallet you want to use for your order. |
| numberRamp | This is your ramp tracking number. |
| rampType | The type of order/ ramp you will create (“on_ramp”: if you have Fiat and want to receive Stable Coin; “off_ramp”: if you have Stable Coin and want to receive Fiat). |
| registerDate | This is the date when you created your ramp with us. |
| status | The status of the ramp. It can be: “pending”: Awaiting proof of funds transfer., “payapproved”: Funds received and approved, “payrejected”: The funds transfer does not meet our requirements, “completed”: Transaction successfully completed. “received”: Hash ID or Payment Voucher has been sent through the endpoint. “cancelled”: Ramp expired without completion. “paymentinprocess”: The payment is in process. “paidawaitingfunds”: The payment has been approved, but the funds have not arrived |
| symbolTypeSent | The symbol of the token/fiat sent in the order |
| symbolTypeReceived | The symbol of the token/fiat resulting in the order |
curl --request GET \
--url https://testapi.kravata.co/api/ramps/{clientId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://testapi.kravata.co/api/ramps/{clientId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://testapi.kravata.co/api/ramps/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Authorizations
Access token from POST /api/token (valid 5 minutes).
Path Parameters
Query Parameters
Specifies the starting date for filtering results. Format: YYYY-MM-DD.
Defines the ending date for filtering results. Format: YYYY-MM-DD.
Filters results by order status, such as 'Pending', 'Cancelled', or 'In Pay approve'.
Page number (send with PerPage).
Records per page (send with Page).
Response
OK

